Subject: Re: bug#4982: rgrep can't deal with .gz files

From: Stefan Monnier <[email-masked]>
Date: Sun, 22 Nov 2009 23:26:49 -0500

> Hmm, strange.  In http://thread.gmane.org/gmane.emacs.bugs/16956
> you requested us to remove highlighting when there are additional
> filters on the grep output.  So we changed `--color=always' into
> `--color=auto' that broke the highlighting in zgrep output because
> zgrep uses additional filters.

Maybe zgrep is careful to distinguish filters on the input from filters
on the output.  AFAICT zgrep only uses a filter on the input, so it
should work.

        Stefan